import { Component, OnInit, ViewChild, Input } from '@angular/core';
import { ActivatedRoute, RouterOutlet, Router } from '@angular/router';
import { CompTableListComponent } from '../../../../app/comp-table/comp-table-list/comp-table-list.component';
import { Profile } from '../../../../schemas/Profile';
import * as Parse from 'parse';
import { CommonModule } from '@angular/common';
@Component({
  selector: 'app-profile',
  templateUrl: './profile.component.html',
  styleUrls: ['./profile.component.scss'],
  imports: [CommonModule, RouterOutlet, CompTableListComponent],
  standalone: true,
})
export class ProfileComponent  implements OnInit {
  @ViewChild(CompTableListComponent) list: CompTableListComponent | undefined;

  Profile = Profile;
  user: Parse.User | undefined;
  className: string | undefined;
  queryParams: any | undefined;
  fieldsArray: Array<any> | undefined;

  constructor() { 
    this.user = Parse.User.current();
    this.className = this.Profile.className;
    this.fieldsArray = this.Profile.fieldsArray;
    this.queryParams = {
      where: {
        isDeleted: { $ne: true },
      },
    };
  }

  ngOnInit() {}

}
